# (\d{0,}\.\d{1,}rem)|(\d{0,}rem)
#!/usr/bin/env python3
import sys
import re

ask = False;
overWrite = False;
try:
	for i in sys.argv:
		if i == "-o":
			overWrite = True
		if i == "--help":
			print ("-------------------------")
			print ("REM TO PX HELP")
			print ("-------------------------")
			print ("-a - Asks before the user before applying each change.")
			print ("-o - overWrites the selected file, default without is to append '.new'")
			sys.exit()

	if len(sys.argv) > 1:
		newFile = ""
		prevLine = ""
		lineCount = 1
		filePath = sys.argv[1]
		with open(filePath,"r") as f:
			for line in f:
				try:
					needsConversion = True

					#TODO merge regular, use findall
					#Check -999rem issue
					m = re.search(r'(\d*\.\d+rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\s\d*rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\d*\.\d+rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\s\d*rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\d*\.\d+rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\s\d*rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\d*\.\d+rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\s\d*rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\d*\.\d+rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)

					m = re.search(r'(\s\d*rem)', line)
					if m:
						found = m.group(1)
						print ("found:"+found)
						remValue = float(found.replace('rem',''))
						print(remValue)
						pxValue =  str(int(remValue * 14))
						print(pxValue)
						line = line.replace(found,str(pxValue)+'px ')
						print (line)


				except:
					pass

				prevLine = line
				newFile += line
				lineCount += 1

		if overWrite == False:
			filePath.replace("css","new.css")

		with open(filePath,"w") as f:
			print ("write should happen here")
			f.write(newFile)
	else:
		print ("ERROR: Please enter a file to convert.")

except IndexError:
	print ("ERROR: Index Error, trying to read outside of bounds.")
